/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import Grid from '@material-ui/core/Grid';
import {HeaderGrid, StyledGrid} from '../StyledComponents.js'
import {NoContent} from './TabInicio.js'
import CollectionCardFunction from '../../CollectionCardFunction.js'
import NoCol from '../../../img/Pagina_vazia_colecao.png'

export default function LastCols (props) {
    return (
        <React.Fragment>
            <HeaderGrid container>
                <Grid item xs={12}>
                    <h3>Últimas alterações em coleções</h3>
                </Grid>
            </HeaderGrid>


            {
                props.count === 0  || props.collections.length === 0?
                (
                    [
                        <Grid container>
                            <Grid item xs={12}>
                                <NoContent
                                    image={NoCol}
                                    text1={props.username + " ainda não disponibilizou nenhuma coleção."}
                                    text2={"Quando disponibilizar, elas aparecerão aqui."}
                                />
                            </Grid>
                        </Grid>
                    ]
                )
                :
                (
                    [
                        <StyledGrid container spacing={1} style={{paddingLeft : "0.5em"}}>
                            {
                                props.collections.slice(0,4).map( (card) =>
                                    <Grid item md={3} xs={12} key={card.id}>
                                        <CollectionCardFunction
                                            name={card.name}
                                            rating={card.score}
                                            type={card.object_type}
                                            description={card.description}
                                            author={card.owner.name}
                                            avatar={card.owner.avatar}
                                            thumbnails={card.items_thumbnails}
                                            likeCount={card.likes_count}
                                            liked={card.liked}
                                            followed={card.followed}
                                            tags={card.tags}
                                            id={card.id}
                                        />
                                    </Grid>
                                )
                            }
                        </StyledGrid>
                    ]
                )
            }
        </React.Fragment>
    )
}
