/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import Grid from '@material-ui/core/Grid';
import ResourceCardFunction from '../../ResourceCardFunction.js'
import NoPub from '../../../img/Pagina_vazia_Sem_publicar.png'
import {HeaderGrid, StyledGrid} from '../StyledComponents.js'
import {NoContent} from './TabInicio.js'

export default function LastLearnObjs (props) {
    return (
        <React.Fragment>
            <HeaderGrid container>
                <Grid item xs={9}>
                    <h3>Últimos Recursos Publicados</h3>
                </Grid>
                <Grid item xs={3} style={{textAlign : "end"}}>
                    {props.count > 4 &&
                        <span>
                            VER MAIS
                        </span>
                    }
                </Grid>
            </HeaderGrid>

            {
                props.count === 0 ?
                (
                    [
                        <Grid container>
                            <Grid item xs={12}>
                                <NoContent
                                    image={NoPub}
                                    text1={props.username + " ainda não disponibilizou nenhum recurso."}
                                    text2={"Quando disponibilizar, eles aparecerão aqui."}
                                />
                            </Grid>
                        </Grid>
                    ]
                )
                :
                (
                    [
                        <StyledGrid container spacing={1} style={{paddingLeft : "0.5em"}}>
                            {
                                props.learningObjs.slice(0,4).map( (card) =>
                                    <Grid item md={3} xs={12} key={card.id}>
                                        <ResourceCardFunction
                                            avatar = {card.publisher.avatar}
                                            id={card.id}
                                            thumbnail = {card.thumbnail}
                                            type = {card.object_type !== null? card.object_type : "Outros"}
                                            title={card.name}
                                            published={card.state === "published" ? true : false}
                                            likeCount={card.likes_count}
                                            liked={card.liked}
                                            rating={card.review_average}
                                            tags={card.educational_stages}
                                            href={"/recurso/" + card.id}
                                            downloadableLink={card.default_attachment_location}

                                        />
                                    </Grid>
                                )
                            }
                        </StyledGrid>
                    ]
                )
            }
        </React.Fragment>
    )
}
